<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <h2>b1. Tìm số nguyên dương nhỏ nhất</h2>
    <div id="result1"></div>
    <!--  -->
    <h2>b2. Tính tổng S(n)</h2>

    <label for="xInput">Nhập giá trị x:</label>
    <input type="number" id="xInput" /><br />

    <label for="nInput">Nhập giá trị n:</label>
    <input type="number" id="nInput" /><br />

    <button onclick="calculateSum()">Tính tổng</button>

    <div id="result2"></div>
    <!--  -->
    <h2> b3. Tính giai thừa</h2>

  <label for="nInput">Nhập giá trị n:</label>
  <input type="number" id="nInput">

  <button onclick="calculateFactorial()">Tính giai thừa</button>

  <div id="result3"></div>
    <!--  -->
    <h2> b4. In ra các thẻ div</h2>

    <button onclick="createDivs()">Tạo divs</button>

    <div id="container"></div>
  </body>
  <script src="index.js"></script>
  <style>
    .even {
      background-color: red;
            width: 50%;

    }

    .odd {
      background-color: green;
      width: 50%;
    }
  </style>
</html>
